<?php
/**
 * @package linea21.modules
 * @subpackage workshop
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

include_once("../lib/lib_common.php"); 

if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];

if(isset($_POST['com_id']))	$com_id=$_POST['com_id'];
if(isset($_GET['com_id']))	$com_id=$_GET['com_id'];

if(isset($_POST['mes_id']))	$mes_id=$_POST['mes_id'];
if(isset($_GET['mes_id']))	$mes_id=$_GET['mes_id'];

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

//////////// Check Droits utilisateur ////////////  
if (WorkshopAuth_id(GetSessionElement('id'), $sql_object, $id)<>true && !IsSuperAdmin())
ReloadIndex('admin');  
////////////


$link_det=$rub_link."&amp;todo=det&amp;id=";
$link_add_com=$rub_link."&amp;todo=add_com&amp;id=".$id."&amp;com_id=";
$link_list_com=$rub_link."&todo=list_com&id=".$id."";
$link_cancel=$rub_link."&amp;todo=list_com&amp;id=".$id;

if(isset($_POST['annuler'])) {
	header("Location: ".$link_list_com);
}

$workshop_com_object= new workshop_com;

$req_com_mes = SQL_getOnetopicWorkcom($id, $mes_id, $mes_id);
$result_com_mes = $sql_object -> DBSelect($req_com_mes);
$com_root_subject=formatText($result_com_mes[0]['workcom_subject'], '2HTML');

if(isset($_POST['valider'])) {

	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo."&id=".$id;
	$result=$workshop_com_object->DeleteCom($id, $mes_id, $com_id, $sql_object);
	if($result) header("Location: ".$link_confirm);
	else  system_error();
}

$req_det= SQL_getoneCompleteWorkshop($id);
$result=$sql_object->DBSelect($req_det);

if(count($result)>1) exit();
$workshop_denomination=FormatText($result[0]['workshop_denomination'], '2HTML');

if ($com_id==0) {
$navtitle=$GLOBALS['lang']['workshop']['add_com']." : ".$workshop_denomination;
$titleh2=$GLOBALS['lang']['workshop']['name']." : ".$workshop_denomination;
}
else {
$navtitle=$GLOBALS['lang']['workshop']['add_com_mes']." : ".$com_root_subject." (".$workshop_denomination.")";
$titleh2=$GLOBALS['lang']['workshop']['com_name']." : ".$com_root_subject." (".$GLOBALS['lang']['workshop']['name']." :".$workshop_denomination.")";
}
?>
<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home'] ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu']['workshop']?></a>
		</li>
		<li>
			<span><? 
			if ($com_id==0) echo $GLOBALS['lang']['workshop']['sup_com']." : ". $com_root_subject;
			else  echo $GLOBALS['lang']['workshop']['sup_com_mes']." : ". $com_root_subject; ?></span>
		</li>
	</ul>
</div>
<!--end barre haute -->
<?php
include_once("quickicons.php");
?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
<?php afflinkbar($todo,$id, $lang); ?>
<? 
if ($com_id==0) {
 
echo "<h2>".$com_root_subject." (".$GLOBALS['lang']['workshop']['name']." : ".$workshop_denomination.")</h2>"; ?>
<form id="supcom" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
<div class="info" id="truetransfert1">
<?php echo $GLOBALS['lang']['workshop']['sup_com_warning']; 
?>
</div>
<div class="info" id="truetransfert2">
<?
 echo $GLOBALS['lang']['workshop']['sup_com_warning2']; 
}
else {
echo "<h2>".$com_root_subject." (".$GLOBALS['lang']['workshop']['name']." : ".$workshop_denomination.")</h2>"; ?>
<form id="supcom" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
<div class="info" id="truetransfert1">
<?php echo $GLOBALS['lang']['workshop']['sup_com_mes_warning']; 
} ?>
</div>
<div>
<input name="id" type="hidden" value="<?php echo $id; ?>" />
<input name="mes_id" type="hidden" value="<?php echo $mes_id; ?>" />
<input name="com_id" type="hidden" value="<?php echo $com_id; ?>" />
<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
<? echo cancel_button($link_cancel); ?>
<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid'] ?>" class="button" id="valider" />
</div>
</form>
</div>
<?php include_once($dir."/help.php"); ?>
</div>
